%define	name	evas
%define	version 0.9.9.013
%define release 0.%{cvsrel}.1mdk

%define cvsrel 20050904

%define major 	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: 	Enlightened canvas library
Name: 		%{name}
Version: 	%{version}
Epoch:		1
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.get-e.org/
Source: 	%{name}-%{cvsrel}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires: 	freetype-devel
BuildRequires: 	X11-devel
BuildRequires: 	eet-devel
BuildRequires: 	edb-devel
BuildRequires: 	DirectFB-devel
#BuildRequires:	cairo-devel
BuildRequires:	png-devel jpeg-devel
BuildRequires:	multiarch-utils

%description
Evas is an advanced canvas library, providing three backends for
rendering: X11 (without some features like alpha-blending), imlib2, or
OpenGL (hardware accelerated). Due to its simple API, evas can be
developed with rapidly, and cleanly.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %{libname}
Summary: Enlightened Canvas Libraries
Group: System/Libraries

%description -n %{libname}
Evas canvas libraries

%package -n %{libname}-devel
Summary: Enlightened Canvas Library headers and development libraries
Group: System/Libraries
Requires: %{libname} = %{epoch}:%{version}
Provides: lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{libname}-devel
Evas development headers and development libraries.

%prep
%setup -q -n %name

%build
./autogen.sh
%configure2_5x --disable-cpu-mmx --disable-cpu-sse --disable-valgrind --disable-cairo-x11
%make

%install
rm -fr %buildroot
%makeinstall
%multiarch_binaries %buildroot/%_bindir/evas-config

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/evas_*
%{_datadir}/evas

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libevas.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libevas.so
%{_libdir}/libevas.*a
%{_includedir}/*.h
%{_bindir}/evas-config
%multiarch %multiarch_bindir/evas-config
%{_libdir}/pkgconfig/*

%changelog
* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.013-0.20050904.1mdk
- new cvs checkout

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.013-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.010-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.008-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050524.2mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050524.1mdk
- new cvs checkout

* Sat May 21 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050519.1mdk
- disable cairo (won't build with cairo 0.5.0)

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.4mdk
- really remove valgrind
- clean spec

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.3mdk
- disable valgrind to allow building on x86_64
- fix provides

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.2mdk
- fix epoch tags (thanks Olivier Thauvin)
- make buildrequires lib64 friendly

* Wed May 11 2005 Austin Acton <austin@mandriva.org> 1:0.9.9.007-0.20050511.1mdk
- version 0.9.9.013 0.9.9.007, so epoch 1
- fix up spec
- disable mmx/sse (Morreale J-R)

* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1.20040913.1mdk
- 1.0.0 20040913

* Tue Jun 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-1.20030730.3mdk
- rebuild

* Thu Jul 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1.20030730.2mdk
- fix buildrequires

* Wed Jul 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1.20030730.1mdk
- 20030730

* Wed May 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1.20030513.1mdk
- update to 20030513 CVS

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 1.0.0-0.pre5.2mdk
- buildrequires

* Thu Apr 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-0.pre5.1mdk
- 1.0.0_pre5

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.0-1mdk 
- the lost changelog was here

* Wed Aug 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> cvs20020821-1mdk
- first mdk package from Yves Mettier <ymettier@libertysurf.fr>
- cleanup
- mdk adaptation
